%define name	libpri
%define version 1.0.7

%define	major	1
%define libname	%mklibname pri %{major}

Summary:	An implementation of Primate and Basic Rate ISDN
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Group:		System/Libraries
URL:		http://www.asterisk.org/
Source0:	http://www.asterisk.org/html/downloads/%{name}-%{version}.tar.bz2
Patch0:		libpri-1.0.6-bristuff-0.2.0-RC7k.diff.bz2
Patch1:		libpri-1.0.2-mdk.diff.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libpri is a C implementation of the Primary Rate ISDN
specification. It was based on the Bellcore specification
SR-NWT-002343 for National ISDN. As of May 12, 2001, it has been
tested work with NI-2, Nortel DMS-100, and Lucent 5E Custom
protocols on switches from Nortel and Lucent.

BRI support was added from the bri-stuff tarball by Klaus-Peter
Junghanns: http://www.junghanns.net/

%package -n	%{libname}
Summary:	An implementation of Primate and Basic Rate ISDN
Group:          System/Libraries

%description -n	%{libname}
libpri is a C implementation of the Primary Rate ISDN
specification. It was based on the Bellcore specification
SR-NWT-002343 for National ISDN. As of May 12, 2001, it has been
tested work with NI-2, Nortel DMS-100, and Lucent 5E Custom
protocols on switches from Nortel and Lucent.

BRI support was added from the bri-stuff tarball by Klaus-Peter
Junghanns: http://www.junghanns.net/

%package -n	%{libname}-devel
Summary:	Development libraries and headers for %{name}
Group:		Development/C
Provides:	%{name}-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
libpri is an implementation of the Primary Rate ISDN specification
(based on the ITU and Bellcore specifications). It supports Lucent
4e and 5e, Nortel DMS-100, and National ISDN switchtypes. 

This package contains all of the development files that you will
need in order to compile %{name} applications.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

# lib64 fix
find -name "Makefile" | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"

%build

%make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make \
    INSTALL_PREFIX="%{buildroot}" \
    install

ln -snf libpri.so.%{major}.0 %{buildroot}%{_libdir}/libpri.so.%{major}
ln -snf libpri.so.%{major}.0 %{buildroot}%{_libdir}/libpri.so


%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- use the %%mkrel macro
- update P0 to bristuff-0.2.0-RC7k

* Sun Feb  6 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.4-1mdk
- New release 1.0.4
- rpmlint fix: requires-on-release

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-2mdk
- lib64 fix

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- bristuff-0.2.0-RC3 (P0)

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-3mdk
- bristuff-0.2.0-rc2a (P0)

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-2mdk
- bristuff-0.2.0-rc2 (P0)

* Wed Oct 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- reorder patches
- added P0
- bristuff-0.2.0-rc1 (P2)

* Sun Sep 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- added P1 by Klaus-Peter Junghanns

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- 1.0 RC2
- fix P0

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-3mdk
- rebuild

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-2mdk
- Copyright/License

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-1mdk
- initial cooker contrib

